//var base_url = window.location.origin + '/' + window.location.pathname.split ('/') [1] + '/';

function timeAlertStatusC(){
    var cambio = Date.now()+900000;//100000;
    console.log(cambio);
    $.ajax({
        type: "POST",
        url:base_url+"myagenda/franquiciatario/ListacitasF/timeStatusC",
        dataType: "json",
        data:{time:cambio},
        async: false,
        success: function(data) {
            console.log(data);
        },
        error: function(xhr, textStatus, errorThrown, error) {
            console.log(xhr.responseText);
        }
    });
}

function login(){
    $.ajax({
        url:base_url+"acceso/Acceso/new_user",
        type:"POST",
        dataType:'json',
        data:{'Usuario':document.getElementById("name1").value, 'Contrasenia':document.getElementById("Contrasenia").value,'date':document.getElementById("date").value},
        success: function(data) {
            console.log(data);
            switch (data) {
                case "error":
                    swal({
                        title:'Advertencia!',
                        text:'Verifique los datos introducidos!',
                        icon:'warning'
                    }).then(function() {
                        location.href = base_url+'/acceso/Acceso';                         
                    });
                    break;
                case "error1":
                    swal({
                        title:'Advertencia!',
                        text:'Verifique los datos introducidos!',
                        icon:'warning'
                    }).then(function() {
                        location.href = base_url+'/acceso/Acceso';                          
                    });
                        break;
                case "incorrectos":
                    swal({
                        title:'Advertencia!',
                        text:'Los datos introducidos son incorrectos!',
                        icon:'warning'
                    }).then(function() {
                        location.href = base_url+'/acceso/Acceso';                        
                    });
                    break;
                case "time":
                    swal({
                        title:'Advertencia!',
                        text:'Verifique la hora y fecha de tu equipo!',
                        icon:'warning'
                    }).then(function() {
                        location.href = base_url+'/acceso/Acceso';                           
                    });
                    break;
                case "success":
                    timeAlertStatusC();
                    swal({
                        title: 'Inicio de sesión correcto',
                        icon: 'success',
                        showConfirmButton: false,
                        timer: 1500
                    }).then(function() {
                        location.href = base_url+'/acceso/Acceso';  
                    });
                    break;
                default:
                    break;
            }
        },
        error:function(jqXHR, textStatus, error){
          swal(
            'Error',
            'Ocurrio un error!',
            'error'
          );
          //alert("error: " + jqXHR.responseText);
        }
    });
}